<!DOCTYPE html>
<html>
	<head>
		<meta charset="utf-8">
		<meta name="viewport" content="width=device-width, initial-scale=1">
		<title>HTML Tables and Forms</title>
	</head>
	<body>

		<!-- Creates a container element used to group HTML elements -->
		<!-- "header" value is used for Search Engine Optimization (SEO) -->
		<!-- <div id="header>" -->
		<header>
			<h1>HTML Tables and Forms</h1>
		</header>
		<!-- </div> -->

		<!-- Using HTML Semantic tags make our website optimized for SEO and it's easier to differentiate portions of code instead of finding matches for the closing div tags -->

		<!-- <div id="main"> -->
		<main>	
			<!-- <div id="section"> -->
			<section>	
				<h2>HTML Entities</h2>
				<p><em>Reserved characters in HTML (e.g. &lt; or &gt; characters that can mix up with HTML code)</em></p>

				<!-- Defines an HTML table -->
				<table border="1">
					<!-- used to group table header content -->			
					<thead>
						<!-- defines a table row -->
						<tr>
							<!-- Defines a table header element -->
							<th colspan="2">Entity</th>
							<th>Description</th>
							
						</tr>
					</thead>
					<!-- Defines and group the tbale contents -->
					<tbody>
						<tr>
							<!-- Defines table data elements -->
							<td>&lt;</td>
							<td>lt</td>
							<td>less than</td>
						</tr>

						<tr>
							<td>&gt;</td>
							<td>gt</td>
							<td>greater than</td>
						</tr>

						<tr>
							<td>&#8369;</td>
							<td>#8369</td>
							<td>peso sign</td>
						</tr>

						<tr>
							<td>&quot;</td>
							<td>quot</td>
							<td>double quotation mark</td>
						</tr>

						<tr>
							<td>&apos;</td>
							<td>apos</td>
							<td>single quotation mark (apostrophe)</td>
						</tr>

						<tr>
							<td>&ntilde;</td>
							<td>ntilde</td>
							<td>lower tilde</td>
						</tr>

						<tr>
							<td>&Ntilde;</td>
							<td>Ntilde</td>
							<td>upper tilde</td>
						</tr>

					</tbody>
					<!-- used to group our table footer content -->
					<tfoot>
						<tr>
							<th colspan="3">List of HTML Entities</th>
						</tr>
					</tfoot>
				</table>
			</section>	
			<!-- </div> -->

			<hr>

			<!-- <div id="section"> -->
			<section>	
				<h2>HTML Forms</h2>
				<p><em>Input elements that make up a form.</em></p>

				<!-- Creates an HTML form to capture user input -->
				<!-- "action" attribute is used to define where the information will be sent upon submission -->
				<form action="https://www.google.com/">

					<!-- Different types of cases:

		        	PascalCase = First letter of each word is in uppercase (functions in JavaScript)

			        camelCase = first letter of second word in in uppercase (variables)

			        snake_case = use underscore to separate the word (variables)

			        kebab-case = use dash/hypen to separate the word (commonly used in CSS) -->

			        <!-- "for" is to pair label and input field -->
					<label for="full_name">Full Name :</label>

					<!-- creates an input field to capture user input -->
					<!-- 
			
					- <label> tag - creates a text element that will serve as a label for an input field. This creates an inline element.
					- <input> tag - creates a form input element to capture user input. This creates an inline element.
					- The "for" attribute is used with the "id" attribute in an input element. This allows the users to select the input field when they click on the label for a better user experience. Remove this attribute to demonstrate how it works.

					- The "type" attribute will define what type of information the input field should have. Changing it's value will automatically change the bahavior of the input field.
					- The "name" attribute will provide the input field with a name that we can use to associate with the information provided by the user.
					- The "required" attribute will not allow the form to be submitted without any user input. Leave the input field empty to demonstrate how it works.

					- The "autocomplete" attribute will provide suggestions for text inputs for a better user experience. Try typing on the form and no suggestions will show. Submit the form and go back to the page and try typing again to demonstrate how it works. -->

					<input type="text" name="full_name" id="full_name" required autocomplete> <br>

					<label for="birth_date">Birth Date :</label>
					<!-- "date creates an input filled for calendar select date and in date format" -->
					<input type="date" name="birth_date" id="birth_date" required autocomplete> <br>

					<label for="age">Age :</label>
					<input type="number" name="age" id="age" required> <br>

					<label for="gender">Gender :</label>
					<!-- Creates a dropdown -->
					<!-- "disabled" and "selected" attributes will create ab iotuib wutg default value of blank but cannot be selected by the user -->
					<select name="gender" id="gender">
						<option value="" selected disabled>Select Gender</option>
						<option value="Male">Male</option>
						<option value="Female">Female</option>
						<option value="Rather not say">Rather not say</option>
					</select> <br>

					<label for="notes">Notes :</label>
					<br>
					<textarea name="notes" id="notes" rows="5"></textarea> <br>

					<label>New User :</label>

					<input type="radio" name="new_user"id="user-type1" value="yes">
					<label for="user-type1">Yes</label>

					<input type="radio" name="new_user"id="user-type2" value="No">
					<label for="user-type2">No</label>
					<br>

					<!-- checkboxes -->
					<label>Role :</label>
					<input type="checkbox" name="role1" id="role1" value="developer">
					<label for="role1">Developer</label>
					<input type="checkbox" name="role2" id="role2" value="Student">
					<label for="role2">Student</label>
					<input type="checkbox" name="role3" id="role3" value="Manager">
					<label for="role3">Manager</label>
					<br>


					<!-- Creates a button that will submit the form data -->
					<!-- "type" attribute will define how the button will behave. The value of "submit" is the button tag's default value and is not necessary to be included. Though, it's a good practice to have it added because forms can contain several buttons. -->
					<button type="submit">Submit</button>
					<button	type="reset">Reset</button>
				</form>
			</section>
			<!-- </div> -->
		</main>
		<!-- </div> -->
	</body>
</html>